curl --request POST \
--url https://api.aisa.one/apis/v1/people-data-labs/enrich-company-data \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"website": "www.apple.com"
}
'import requests
url = "https://api.aisa.one/apis/v1/people-data-labs/enrich-company-data"
payload = { "website": "www.apple.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({website: 'www.apple.com'})
};
fetch('https://api.aisa.one/apis/v1/people-data-labs/enrich-company-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/people-data-labs/enrich-company-data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'website' => 'www.apple.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/people-data-labs/enrich-company-data"
payload := strings.NewReader("{\n \"website\": \"www.apple.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/people-data-labs/enrich-company-data")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"website\": \"www.apple.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/people-data-labs/enrich-company-data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"website\": \"www.apple.com\"\n}"
response = http.request(request)
puts response.read_body{
"found": true,
"data": {
"status": 123,
"likelihood": 5,
"id": "<string>",
"sic": [
{
"sic_code": "<string>",
"major_group": "<string>",
"industry_group": "<string>",
"industry_sector": "<string>"
}
],
"name": "<string>",
"size": "1-10",
"tags": [
"<string>"
],
"type": "educational",
"naics": [
{
"sector": "<string>",
"naics_code": "<string>",
"sub_sector": "<string>",
"industry_group": "<string>",
"naics_industry": "<string>",
"national_industry": "<string>"
}
],
"ticker": "<string>",
"founded": 123,
"summary": "<string>",
"website": "<string>",
"headline": "<string>",
"industry": "<string>",
"location": {
"geo": "<string>",
"name": "<string>",
"metro": "<string>",
"region": "<string>",
"country": "<string>",
"locality": "<string>",
"continent": "<string>",
"postal_code": "<string>",
"address_line_2": "<string>",
"street_address": "<string>"
},
"profiles": [
"<string>"
],
"industry_v2": "<string>",
"linkedin_id": "<string>",
"twitter_url": "<string>",
"display_name": "<string>",
"facebook_url": "<string>",
"linkedin_url": "<string>",
"mic_exchange": "<string>",
"linkedin_slug": "<string>",
"employee_count": 1,
"funding_stages": [
"angel"
],
"dataset_version": "<string>",
"alternative_names": [
"<string>"
],
"last_funding_date": "<string>",
"affiliated_profiles": [
"<string>"
],
"alternative_domains": [
"<string>"
],
"latest_funding_stage": "angel",
"total_funding_raised": 1,
"number_funding_rounds": 1,
"employee_count_by_country": {}
}
}Enrich Company Data
curl --request POST \
--url https://api.aisa.one/apis/v1/people-data-labs/enrich-company-data \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"website": "www.apple.com"
}
'import requests
url = "https://api.aisa.one/apis/v1/people-data-labs/enrich-company-data"
payload = { "website": "www.apple.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({website: 'www.apple.com'})
};
fetch('https://api.aisa.one/apis/v1/people-data-labs/enrich-company-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/people-data-labs/enrich-company-data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'website' => 'www.apple.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/people-data-labs/enrich-company-data"
payload := strings.NewReader("{\n \"website\": \"www.apple.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/people-data-labs/enrich-company-data")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"website\": \"www.apple.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/people-data-labs/enrich-company-data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"website\": \"www.apple.com\"\n}"
response = http.request(request)
puts response.read_body{
"found": true,
"data": {
"status": 123,
"likelihood": 5,
"id": "<string>",
"sic": [
{
"sic_code": "<string>",
"major_group": "<string>",
"industry_group": "<string>",
"industry_sector": "<string>"
}
],
"name": "<string>",
"size": "1-10",
"tags": [
"<string>"
],
"type": "educational",
"naics": [
{
"sector": "<string>",
"naics_code": "<string>",
"sub_sector": "<string>",
"industry_group": "<string>",
"naics_industry": "<string>",
"national_industry": "<string>"
}
],
"ticker": "<string>",
"founded": 123,
"summary": "<string>",
"website": "<string>",
"headline": "<string>",
"industry": "<string>",
"location": {
"geo": "<string>",
"name": "<string>",
"metro": "<string>",
"region": "<string>",
"country": "<string>",
"locality": "<string>",
"continent": "<string>",
"postal_code": "<string>",
"address_line_2": "<string>",
"street_address": "<string>"
},
"profiles": [
"<string>"
],
"industry_v2": "<string>",
"linkedin_id": "<string>",
"twitter_url": "<string>",
"display_name": "<string>",
"facebook_url": "<string>",
"linkedin_url": "<string>",
"mic_exchange": "<string>",
"linkedin_slug": "<string>",
"employee_count": 1,
"funding_stages": [
"angel"
],
"dataset_version": "<string>",
"alternative_names": [
"<string>"
],
"last_funding_date": "<string>",
"affiliated_profiles": [
"<string>"
],
"alternative_domains": [
"<string>"
],
"latest_funding_stage": "angel",
"total_funding_raised": 1,
"number_funding_rounds": 1,
"employee_count_by_country": {}
}
}请求规范
- 方法与路径: POST /apis/v1/people-data-labs/enrich-company-data
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/people-data-labs/enrich-company-data - Runtime 事实版本: d9aafd76ae02b9bcd98e168c52eb69aba6e12890a1eed8da421910f394e8200a
{
"operationId": "people-data-labs.enrich-company-data",
"method": "POST",
"path": "/apis/v1/people-data-labs/enrich-company-data",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"name": {
"type": "string",
"examples": [
"Apple Inc.",
"Google LLC"
],
"description": "REQUIRED if no other identifier provided. Company name to search for. At least one of pdl_id/name/profile/ticker/website must be provided."
},
"pdl_id": {
"type": "string",
"examples": [
"<COMPANY_ID>"
],
"description": "REQUIRED if no other identifier provided. People Data Labs unique ID for a company. At least one of pdl_id/name/profile/ticker/website must be provided."
},
"pretty": {
"type": "boolean",
"default": true,
"examples": [
"true",
"false"
],
"description": "If true, the JSON response will be pretty-printed with human-readable indentation for easier inspection."
},
"region": {
"type": "string",
"examples": [
"California",
"New York",
"Texas"
],
"description": "The state, province, or administrative region where the company is located (e.g., 'California' or 'TX')."
},
"ticker": {
"type": "string",
"examples": [
"AAPL",
"MSFT"
],
"description": "REQUIRED if no other identifier provided. Stock market ticker symbol. At least one of pdl_id/name/profile/ticker/website must be provided."
},
"country": {
"type": "string",
"examples": [
"USA",
"United Kingdom",
"FR",
"Canada"
],
"description": "The country where the company is located. Can be a full name or an ISO country code."
},
"profile": {
"type": "string",
"examples": [
"linkedin.com/company/google",
"crunchbase.com/organization/facebook"
],
"description": "REQUIRED if no other identifier provided. Company social media profile URL. At least one of pdl_id/name/profile/ticker/website must be provided."
},
"website": {
"type": "string",
"description": "REQUIRED if no other identifier provided. Company website URL. At least one of pdl_id/name/profile/ticker/website must be provided.",
"examples": [
"www.apple.com",
"about.google"
]
},
"locality": {
"type": "string",
"examples": [
"Cupertino",
"New York City"
],
"description": "The city or locality where the company is situated (e.g., 'Mountain View')."
},
"location": {
"type": "string",
"examples": [
"San Francisco, CA",
"London, UK",
"Paris"
],
"description": "A general text query for the company's location (e.g., 'San Francisco, CA' or 'London'). Can be a partial or complete location string."
},
"titlecase": {
"type": "boolean",
"examples": [
"true",
"false"
],
"description": "If set to true, textual data in the API response will be converted to title case. If omitted, the API's default casing is used."
},
"postal_code": {
"type": "string",
"examples": [
"95014",
"94043"
],
"description": "The postal or ZIP code for the company's location."
},
"street_address": {
"type": "string",
"examples": [
"1 Apple Park Way",
"1600 Amphitheatre Parkway"
],
"description": "The street address component of the company's location."
}
},
"required": [
"website"
]
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.1003,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.1003 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.1003
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 声明的最大计数或单位数: 10000000
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
REQUIRED if no other identifier provided. Company website URL. At least one of pdl_id/name/profile/ticker/website must be provided.
"www.apple.com"
"about.google"
REQUIRED if no other identifier provided. Company name to search for. At least one of pdl_id/name/profile/ticker/website must be provided.
"Apple Inc."
"Google LLC"
REQUIRED if no other identifier provided. People Data Labs unique ID for a company. At least one of pdl_id/name/profile/ticker/website must be provided.
"<COMPANY_ID>"
If true, the JSON response will be pretty-printed with human-readable indentation for easier inspection.
"true"
"false"
The state, province, or administrative region where the company is located (e.g., 'California' or 'TX').
"California"
"New York"
"Texas"
REQUIRED if no other identifier provided. Stock market ticker symbol. At least one of pdl_id/name/profile/ticker/website must be provided.
"AAPL"
"MSFT"
The country where the company is located. Can be a full name or an ISO country code.
"USA"
"United Kingdom"
"FR"
"Canada"
REQUIRED if no other identifier provided. Company social media profile URL. At least one of pdl_id/name/profile/ticker/website must be provided.
"linkedin.com/company/google"
"crunchbase.com/organization/facebook"
The city or locality where the company is situated (e.g., 'Mountain View').
"Cupertino"
"New York City"
A general text query for the company's location (e.g., 'San Francisco, CA' or 'London'). Can be a partial or complete location string.
"San Francisco, CA"
"London, UK"
"Paris"
If set to true, textual data in the API response will be converted to title case. If omitted, the API's default casing is used.
"true"
"false"
The postal or ZIP code for the company's location.
"95014"
"94043"
The street address component of the company's location.
"1 Apple Park Way"
"1600 Amphitheatre Parkway"